org.apache.ignite.internal.tracing

## Enum TracingSpiType

- java.lang.Object
- - java.lang.Enum<TracingSpiType>
  - - org.apache.ignite.internal.tracing.TracingSpiType

All Implemented Interfaces:
  Serializable, Comparable<TracingSpiType>

    public enum TracingSpiType
    extends Enum<TracingSpiType>

Type of the tracing spi.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NOOP_TRACING_SPI`
`OPEN_CENSUS_TRACING_SPI`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`byte` `index()`
`static TracingSpiType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TracingSpiType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NOOP_TRACING_SPI

    public static final TracingSpiType NOOP_TRACING_SPI

#### OPEN_CENSUS_TRACING_SPI

    public static final TracingSpiType OPEN_CENSUS_TRACING_SPI

### Method Detail

#### values

    public static TracingSpiType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TracingSpiType c : TracingSpiType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TracingSpiType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### index

    public byte index()

Returns:
  Index.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021